Bug 844217

Summary: The deployment directory for a jboss as 7 standalone server is 'deployments' instead of 'deployment'
Product: [Other] RHQ Project Reporter: Lin Gao <lgao>
Component: PluginsAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: urgent    
Version: 4.4CC: dsteigne, hrupp, loleary
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: All   
OS: All   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=957282
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 844422 (view as bug list) Environment:
Last Closed: 2013-09-01 06:16:11 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 707223, 844422    
Attachments:
Description Flags
CLI-script to fix the plugin property for the bundle deployment directory none

Description Lin Gao 2012-07-29 23:29:25 EDT
Description of problem:
Deploy a bundle with a WAR archive to JBoss AS 7 standalone server leads to wrong directory.


How reproducible:


Steps to Reproduce:
1.Make an Ant bundle with a simple WAR archive within.
2.Update the bundle file to RHQ to create a new bundle.
3.New a group with JBoss AS 7 standalone server
4.Deploy the bundle to the created group.
  
Actual results:
The WAR is deployed correctly at <JBoss Standalone Server>/standalone/deployments/

Expected results:
The WAR is deployed at <JBoss Standalone Server>/standalone/deployment/<Destination Directory>

Additional info:

This should be a typo.
Comment 1 Heiko W. Rupp 2012-07-30 10:24:52 EDT
master 264bf23cb1
Comment 2 Charles Crouch 2012-07-30 11:41:01 EDT
*** Bug 843868 has been marked as a duplicate of this bug. ***
Comment 3 Heiko W. Rupp 2012-08-15 14:49:26 EDT
Created attachment 604660 [details]
CLI-script to fix the plugin property for the bundle deployment directory
Comment 4 Larry O'Leary 2012-08-16 10:25:58 EDT
This value should not be hard-coded as this is configurable and could change. In my opinion, this should be a trait. 'deployments' is only the value provided in the example configuration and is not intended to the the absolute directory name. Instead, we should read the value from the deployment-scanner module and re-read this value from time to time to ensure it gets updated.
Comment 5 Heiko W. Rupp 2012-08-16 16:08:46 EDT
A new implementation using a trait is now pushed to master as 1ace95e

The plugin config 'deployDir' has been removed, so on plugin upgrade users will get the correct setting.

Todo QA: test deploying a bundle after plugin upgrade to a server that was in inventory before the upgrade to see if the <bundle-destination> metadata is 
correctly updated.
Comment 6 Heiko W. Rupp 2013-09-01 06:16:11 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.